<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>laravel/laravel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">laravel/laravel</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/app.html">App</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/app-actions.html">Actions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-console.html">Console</a>
                
            </li>
                    <li>
                <a href="namespaces/app-exceptions.html">Exceptions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-facade.html">Facade</a>
                
            </li>
                    <li>
                <a href="namespaces/app-http.html">Http</a>
                
            </li>
                    <li>
                <a href="namespaces/app-mail.html">Mail</a>
                
            </li>
                    <li>
                <a href="namespaces/app-models.html">Models</a>
                
            </li>
                    <li>
                <a href="namespaces/app-providers.html">Providers</a>
                
            </li>
                    <li>
                <a href="namespaces/app-setting.html">Setting</a>
                
            </li>
                    <li>
                <a href="namespaces/app-view.html">View</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/database.html">Database</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/database-factories.html">Factories</a>
                
            </li>
                    <li>
                <a href="namespaces/database-seeders.html">Seeders</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/packages-explorer.html">Explorer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-filemanager.html">FileManager</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-form.html">Form</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-layer.html">Layer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-metadatagis.html">MetadataGis</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-pages.html">Pages</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-statistic.html">Statistic</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/tests.html">Tests</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/tests-feature.html">Feature</a>
                
            </li>
                    <li>
                <a href="namespaces/tests-unit.html">Unit</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Application.html">Application</a></h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Geonodo.html">Geonodo</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Geonodo-Components.html">Components</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Packages-MetadataGis.html">MetadataGis</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Laravel.html">Laravel</a></h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages.html">Packages</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis.html">MetadataGis</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis-src.html">src</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-metadatagis-src-services.html">Services</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    MetadataSaveService

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/Application.html">Application</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">42</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_19115">PROFILE_19115</a>
    <span>
        &nbsp;= &#039;19115&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_19115_2">PROFILE_19115_2</a>
    <span>
        &nbsp;= &#039;19115-2&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_19119">PROFILE_19119</a>
    <span>
        &nbsp;= &#039;19119&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_LAMPV2">PROFILE_LAMPV2</a>
    <span>
        &nbsp;= &#039;lampv2&#039;                    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_NCH19115">PROFILE_NCH19115</a>
    <span>
        &nbsp;= &#039;NCh19115&#039;                    </span>
</dt>
<dd></dd>

                <dt class="phpdocumentor-table-of-contents__entry -property -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#property__request">$_request</a>
    <span>
                &nbsp;: <abbr title="\Illuminate\Http\Request">Request</abbr>            </span>
</dt>
<dd></dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_persist">persist()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveContentInfo">saveContentInfo()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveDataQuality">saveDataQuality()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveDistribution">saveDistribution()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentification">saveIdentification()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationCitation">saveIdentificationCitation()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationContact">saveIdentificationContact()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationExtent">saveIdentificationExtent()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationGraphic">saveIdentificationGraphic()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveKeywords">saveKeywords()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveLampV2">saveLampV2()</a>
    <span>
                        &nbsp;: void    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveMaintenanceInformation">saveMaintenanceInformation()</a>
    <span>
                        &nbsp;: void    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveMetadataContact">saveMetadataContact()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveMetadataGeneral">saveMetadataGeneral()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_savePlatform">savePlatform()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveReferenceSystem">saveReferenceSystem()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveResourceRestrictions">saveResourceRestrictions()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveServiceIdentification">saveServiceIdentification()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveVectorSpatialRepresentation">saveVectorSpatialRepresentation()</a>
    <span>
                        &nbsp;: void    </span>
</dt>
<dd></dd>

        </dl>



        
    <section class="phpdocumentor-constants">
        <h3 class="phpdocumentor-elements__header" id="constants">
            Constants
            <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constants" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_19115">
        PROFILE_19115
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_19115" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">47</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_19115</span>
    = <span class="phpdocumentor-signature__default-value">&#039;19115&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_19115_2">
        PROFILE_19115_2
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_19115_2" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">45</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_19115_2</span>
    = <span class="phpdocumentor-signature__default-value">&#039;19115-2&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_19119">
        PROFILE_19119
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_19119" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">46</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_19119</span>
    = <span class="phpdocumentor-signature__default-value">&#039;19119&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_LAMPV2">
        PROFILE_LAMPV2
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_LAMPV2" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">48</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_LAMPV2</span>
    = <span class="phpdocumentor-signature__default-value">&#039;lampv2&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_PROFILE_NCH19115">
        PROFILE_NCH19115
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#constant_PROFILE_NCH19115" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">44</span>

    </aside>

    
    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">PROFILE_NCH19115</span>
    = <span class="phpdocumentor-signature__default-value">&#039;NCh19115&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property__request">
        $_request
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#property__request" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">50</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
        <span class="phpdocumentor-signature__type"><abbr title="\Illuminate\Http\Request">Request</abbr></span>
    <span class="phpdocumentor-signature__name">$_request</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_persist">
        persist()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_persist" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">55</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">persist</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\Illuminate\Http\Request">Request</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$request</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$request</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\Illuminate\Http\Request">Request</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">throws</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                <span class="phpdocumentor-tag-link"><abbr title="\Throwable">Throwable</abbr></span>
                                                            
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveContentInfo">
        saveContentInfo()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveContentInfo" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">478</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveContentInfo</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveDataQuality">
        saveDataQuality()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveDataQuality" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">277</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveDataQuality</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveDistribution">
        saveDistribution()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveDistribution" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">254</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveDistribution</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveIdentification">
        saveIdentification()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentification" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">215</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveIdentification</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveIdentificationCitation">
        saveIdentificationCitation()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationCitation" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">308</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveIdentificationCitation</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveIdentificationContact">
        saveIdentificationContact()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationContact" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">328</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveIdentificationContact</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveIdentificationExtent">
        saveIdentificationExtent()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationExtent" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">433</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveIdentificationExtent</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveIdentificationGraphic">
        saveIdentificationGraphic()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveIdentificationGraphic" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">367</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveIdentificationGraphic</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveKeywords">
        saveKeywords()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveKeywords" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">378</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveKeywords</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveLampV2">
        saveLampV2()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveLampV2" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">542</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveLampV2</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">throws</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                <span class="phpdocumentor-tag-link"><abbr title="\Throwable">Throwable</abbr></span>
                                                            
                                             
                                    </dd>
                        </dl>

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveMaintenanceInformation">
        saveMaintenanceInformation()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveMaintenanceInformation" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">710</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveMaintenanceInformation</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveMetadataContact">
        saveMetadataContact()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveMetadataContact" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">195</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveMetadataContact</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveMetadataGeneral">
        saveMetadataGeneral()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveMetadataGeneral" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">182</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveMetadataGeneral</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_savePlatform">
        savePlatform()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_savePlatform" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">521</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">savePlatform</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveReferenceSystem">
        saveReferenceSystem()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveReferenceSystem" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">206</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveReferenceSystem</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveResourceRestrictions">
        saveResourceRestrictions()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveResourceRestrictions" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">400</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveResourceRestrictions</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$identification</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$identification</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-OWS-MDDataIdentification.html"><abbr title="\Packages\MetadataGis\src\Models\OWS\MDDataIdentification">MDDataIdentification</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveServiceIdentification">
        saveServiceIdentification()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveServiceIdentification" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">450</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveServiceIdentification</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_saveVectorSpatialRepresentation">
        saveVectorSpatialRepresentation()
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#method_saveVectorSpatialRepresentation" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/MetadataGis/src/Services/MetadataSaveService.php"><a href="files/packages-metadatagis-src-services-metadatasaveservice.html"><abbr title="packages/MetadataGis/src/Services/MetadataSaveService.php">MetadataSaveService.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">725</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">saveVectorSpatialRepresentation</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$metadataGis</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$metadataGis</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href="classes/Packages-MetadataGis-src-Models-MetadataGis.html"><abbr title="\Packages\MetadataGis\src\Models\MetadataGis">MetadataGis</abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Packages-MetadataGis-src-Services-MetadataSaveService.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
